player_blobfinder_imager_config Struct Reference

Configuration request: Set imager params. More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | brightness
| Brightness: (0-255) -1=no change. More...
int32_t | contrast
| Contrast: (0-255) -1=no change. More...
int32_t | colormode
| Color Mode ( 0=RGB/AutoWhiteBalance Off, 1=RGB/AutoWhiteBalance On, 2=YCrCB/AWB Off, 3=YCrCb/AWB On) -1=no change.
int32_t | autogain
| AutoGain: 0=off, 1=on. More...

## Detailed Description

Configuration request: Set imager params.

Imaging sensors that do blob tracking generally have some sorts of image quality parameters that you can tweak. The following ones are implemented here:

- brightness (0-255)
- contrast (0-255)
- auto gain (0=off, 1=on)
- color mode (0=RGB/AutoWhiteBalance Off, 1=RGB/AutoWhiteBalance On, 2=YCrCB/AWB Off, 3=YCrCb/AWB On) To set the params, send a PLAYER_BLOBFINDER_REQ_SET_IMAGER_PARAMS request with the format below. Any values set to -1 will be left unchanged. Null response.

## Member Data Documentation

int32_t player_blobfinder_imager_config::autogain

AutoGain: 0=off, 1=on.

-1=no change.

int32_t player_blobfinder_imager_config::brightness

Brightness: (0-255) -1=no change.

int32_t player_blobfinder_imager_config::contrast

Contrast: (0-255) -1=no change.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45